%define oname		gstreamermm

%define api		1.0
%define major		1
%define libname		%mklibname %oname %api %major
%define develname	%mklibname %oname %api -d

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gstreamermm%{api}
Version:	1.10.0
Release:	%mkrel 5
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries
License:	LGPLv2+
URL:		https://gstreamer.freedesktop.org/bindings/cplusplus.html
Source0:	https://download.gnome.org/sources/gstreamermm/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		gstreamermm-1.8.0-cast.patch
Patch1:		0001-Fix-build-against-glib-2.68.patch
BuildRequires:	pkgconfig(giomm-2.4) >= 2.36.0
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-audio-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-controller-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-fft-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-net-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-riff-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-rtp-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-sdp-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gstreamer-video-1.0) >= 1.4.3
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:	doxygen
BuildRequires:	m4

%description
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (https://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %libname
Summary:	C++ wrapper for GStreamer library
Group:		System/Libraries

%description -n %libname
GStreamermm is a C++ wrapper library for the multimedia library
GStreamer (https://gstreamer.freedesktop.org). It is designed to allow
C++ development of applications that work with multi-media.

%package -n %develname
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n %develname
This package contains the static libraries and header files needed for
developing gstreamermm applications.

%package doc
Summary:	Developer's documentation for the gstreamermm library
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains developer's documentation for the GStreamermm
library. Gstreamermm is the C++ API for the GStreamer library.

The documentation can be viewed either through the devhelp
documentation browser or through a web browser.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

%build
export CXXFLAGS="%{optflags} -std=c++11"
%configure \
	--enable-shared \
	--disable-dependency-tracking
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/lib%{oname}-%{api}.so.%{major}
%{_libdir}/lib%{oname}-%{api}.so.%{major}.*

%files -n %{develname}
%{_includedir}/gstreamermm-%{api}
%{_libdir}/lib%{oname}-%{api}.so
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/%{oname}-%{api}/

%files doc
%doc COPYING
%doc %{_datadir}/doc/%{oname}-%{api}/
%doc %{_datadir}/devhelp/books/%{oname}-%{api}/


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.10.0-5.mga10
+ Revision: 2216544
- Mageia 10 Mass Rebuild
+ wally <wally>
- update URL

* Fri Nov 25 2022 daviddavid <daviddavid> 1.10.0-4.mga9
+ Revision: 1910919
- add upstream patch to fix build against glib 2.68
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.10.0-3.mga8
+ Revision: 1512711
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.10.0-2.mga7
+ Revision: 1298099
- Mageia 7 Mass Rebuild

* Thu Mar 29 2018 kekepower <kekepower> 1.10.0-1.mga7
+ Revision: 1213305
- Update to version 1.10.0
- Rediffed patch

* Thu Sep 14 2017 cjw <cjw> 1.8.0-2.mga7
+ Revision: 1153724
- patch1: fix build

* Sat Jun 03 2017 ovitters <ovitters> 1.8.0-1.mga6
+ Revision: 1106033
- new version 1.8.0

* Mon Feb 15 2016 umeabot <umeabot> 1.4.3-3.mga6
+ Revision: 960574
- Mageia 6 Mass Rebuild

* Sun Aug 30 2015 cjw <cjw> 1.4.3-2.mga6
+ Revision: 871377
- rebuild with gcc 5

* Thu Aug 20 2015 fwang <fwang> 1.4.3-1.mga6
+ Revision: 866732
- update libmajor
- force cpp11
- imported package gstreamermm1.0

